<?php

class Qcopd_BulkImport
{

    function __construct()
    {
        //Add a menu in admin panel to link Import Export
        add_action('admin_menu', array($this, 'qcopd_info_menu'));
    }

    public $post_id;

    //Callback function for Import Export Menu
    function qcopd_info_menu()
    {
        add_submenu_page(
            'edit.php?post_type=sld',
            __('Bulk Import', 'qc-opd'),
            __('Import/Export', 'qc-opd'),
            'manage_options',
            'qcopd_bimport_page',
            array(
                $this,
                'qcopd_bimport_page_content'
            )
        );
    }

    function qcopd_bimport_page_content()
    {
        ?>
        <div class="wrap">

            <div id="poststuff">

                <div id="post-body" class="metabox-holder columns-3">

                    <div id="post-body-content">
    
                        <h1><?php esc_html_e('Bulk Export/Import', 'qc-opd'); ?></h1>
					<div class="sld-main-import-container">
                        <div>
                            <div class="qcld-sld-square-section-block notice notice-error qc-notice-error">
	                            <p style="color: red; margin: 15px">
									<strong><?php esc_html_e('Please Note:', 'qc-opd'); ?></strong> <?php esc_html_e('The Export Import Feature is still in Beta. We have been testing the feature extensively and it works great. However, before performing any sort of Imports, it is strongly recommended that you take a full backup of your website database first. So that if something went wrong during the import, you can revert and no data is lost.', 'qc-opd'); ?>
								</p>
							</div>

							<div class="qcld-sld-square-section-block">
								<p>
	                                <strong><?php esc_html_e('Sample CSV File:', 'qc-opd'); ?></strong>
	                                <a href="<?php echo SLD_QCOPD_ASSETS_URL . '/file/sample-csv-file.csv'; ?>" target="_blank">
	                                    <?php esc_html_e('Download', 'qc-opd'); ?>
	                                </a>
	                            </p>

	                            <p><strong><?php esc_html_e('NOTES:', 'qc-opd'); ?></strong></p>

	                            <p>
	                                <ol>
	                                    <li><?php esc_html_e('Attached file should be a plain CSV file.', 'qc-opd'); ?></li>
	                                    <li><?php esc_html_e('File must be prepared as per provided sample CSV file or as per the exported CSV file.', 'qc-opd'); ?></li>
	                                    <li><?php esc_html_e('To add new items, Export your Lists. Edit the CSV file and add the new items to the relevant lists as needed. Import the CSV back using the button: Delete Existing Items the Add New Items.', 'qc-opd'); ?></li>
	                                </ol>
	                            </p>
	                            <p><?php esc_html_e('For first time Import, we recommend, creating the Lists manually with 2/3 items in each list. Then follow the point no. 3 above.', 'qc-opd'); ?></p>
                        	</div>
                            
                        </div>
				
						<div style="padding: 15px; margin: 20px 0;" id="sld-export-container" class="qcld-sld-square-section-block">
							<div >
								<h3><u><?php esc_html_e('Export to a CSV File', 'qc-opd'); ?></u></h3>

		                        <p>
		                        	<strong><u><?php esc_html_e('Option Details:', 'qc-opd'); ?></u></strong>
		                        </p>
		                        <p><?php esc_html_e('Export button will create a downloadable CSV file with all of your existing SLD lists and its elements.', 'qc-opd'); ?></p>

								<a class="button-primary" href="<?php echo admin_url( 'admin-post.php?action=sldprint.csv' ); ?>"><?php esc_html_e('Export SLD Data', 'qc-opd'); ?></a>
							</div>

                        </div>

                        <div style="padding: 15px; margin: 10px 0;" class="qcld-sld-square-section-block">

                        <h3><u><?php esc_html_e('Import from a CSV File', 'qc-opd'); ?></u></h3>

                        <p><strong><u><?php esc_html_e('Importing in Another Website:', 'qc-opd'); ?></u></strong> <?php esc_html_e('Please note that uploaded images for list items &amp; categories will not be copied if you import the full CSV to another WordPress installation.', 'qc-opd'); ?></p>

                        <p>
                        	<strong><u><?php esc_html_e('Option Details:', 'qc-opd'); ?></u></strong>
                        </p>
                        <p>
                        	<?php esc_html_e('In both of the below cases, attached CSV file must be identical as per the provided format or as per the exported format.', 'qc-opd'); ?>
                        </p>
                        <p>
                        	<strong><u><?php esc_html_e('Add New Items:', 'qc-opd'); ?> </u></strong>
                        	<?php esc_html_e('This option will add new lists and its elements from the CSV file. No lists or its elements get\'s deleted or updated by this option. If there exist any lists with the same title as CSV lines, then duplicate lists will get created during import.', 'qc-opd'); ?>
                        </p>
                        <p>
                        	<strong><u<?php esc_html_e('>Delete Existing Items then Add New Items:', 'qc-opd'); ?> </u></strong>
                        	<?php esc_html_e('This option will first delete ALL the existing SLD lists and its elements [without attached images] from the database, then it attempts to import lists and elements from the attached CSV file. This option is suitable for editing list elements. If you follow this option for a single site, then all previously attached images will get relinked.', 'qc-opd'); ?>
                        </p>

                        <!-- Handle CSV Upload -->

                        <?php

                        //Generate a 5 digit random number based on microtime
                        $randomNum = substr(sha1(mt_rand() . microtime()), mt_rand(0,35), 5);


                        /*******************************
                         * If Add New or Delete then Add New button was pressed
                         * then proceed for further processing
                         *******************************/
                        if( !empty($_POST) && isset($_POST['upload_csv']) || !empty($_POST) && isset($_POST['delete_upload_csv']) ) 
                        {

                        	//First check if the uploaded file is valid
                        	$valid = true;
                        	
                        	$allowedTypes = array(
                        			'application/vnd.ms-excel',
                        			'text/comma-separated-values', 
                        			'text/csv', 
                        			'application/csv', 
                        			'application/excel', 
                        			'application/vnd.msexcel', 
                        			'text/anytext',
                        			'application/octet-stream',
                        		);
							//echo $_FILES['csv_upload']['type'];exit;
                        	if( !in_array($_FILES['csv_upload']['type'], $allowedTypes) ){
                        		$valid = false;
                        	}

                        	if( ! $valid ){
                        		echo "Status: Invalid file type.";
                        	}
                            
                            //If the file is valid and delete button was pressed
                            if( $valid && !empty($_POST) && isset($_POST['delete_upload_csv']) )
                            {
                            	
                            	$allposts = get_posts( 'numberposts=-1&post_type=sld&post_status=any' );

								foreach( $allposts as $postinfo ) {

								    delete_post_meta( $postinfo->ID, 'qcopd_list_conf' );
								    delete_post_meta( $postinfo->ID, 'qcopd_list_item01' );
								    delete_post_meta( $postinfo->ID, 'sld_add_block' );

								    wp_delete_post( $postinfo->ID, true );

								}

                            }

                            //If the file is valid and client is logged in
                            if ( $valid && function_exists('is_user_logged_in') && is_user_logged_in() ) 
							{

                                $tmpName = $_FILES['csv_upload']['tmp_name'];
								
								if( $tmpName != "" )
								{
								
									$file = fopen($tmpName, "r");
                                    $flag = true;
									
									//Reading file and building our array
									
									$baseData = array();

									$count = 0;

									$laps = 1;
									
									//Read fields from CSV file and dump in $baseData
									while(($data = fgetcsv($file)) !== FALSE) 
									{
										
										if ($flag) {
											$flag = false;
											continue;
										}
										
										$baseData[$data[0]][] = array(
											'list_id' 					=> trim($data[0]),
											'list_title' 				=> isset($data[1]) 	? sanitize_text_field((trim($data[1]))) : '',
											'qcopd_item_title' 			=> isset($data[2]) 	? sanitize_text_field((trim($data[2]))) : '',
											'qcopd_item_link' 			=> isset($data[3]) 	? trim($data[3]) : '',
											'qcopd_item_nofollow' 		=> isset($data[4]) 	? trim($data[4]) : 0,
											'qcopd_item_ugc' 			=> isset($data[5]) 	? trim($data[5]) : '',
											'qcopd_item_newtab' 		=> isset($data[6]) 	? trim($data[6]) : 0,
											'qcopd_item_subtitle' 		=> isset($data[7]) 	? sanitize_text_field((trim($data[7]))) : '',
											'qcopd_fa_icon' 			=> isset($data[8]) 	? sanitize_text_field((trim($data[8]))) : '',
											'qcopd_use_favicon' 		=> isset($data[9]) 	? trim($data[9]) : '',
											'qcopd_item_img' 			=> isset($data[10]) ? trim($data[10]) : '',
											'qcopd_item_img_title' 		=> isset($data[11]) ? trim($data[11]) : '',
											'qcopd_item_img_link' 		=> isset($data[12]) ? trim($data[12]) : '',
											'qcopd_upvote_count' 		=> isset($data[13]) ? trim($data[13]) : 0,
											'list_item_bg_color' 		=> isset($data[14]) ? trim($data[14]) : '',
											'attached_terms' 			=> isset($data[15]) ? trim($data[15]) : '',
											'qcopd_entry_time' 			=> date("Y-m-d H:i:s"),
											'qcopd_timelaps' 			=> $laps,
											'qcopd_description' 		=> isset($data[31]) ? trim($data[31]) : '',
											'qcopd_tags' 				=> isset($data[32]) ? trim($data[32]) : '',
											'qcopd_new' 				=> isset($data[33]) ? trim($data[33]) : '',
											'qcopd_featured' 			=> isset($data[34]) ? trim($data[34]) : '',
											'list_border_color' 		=> isset($data[16]) ? trim($data[16]) : '',
											'list_bg_color' 			=> isset($data[17]) ? trim($data[17]) : '',
											'list_bg_color_hov' 		=> isset($data[18]) ? trim($data[18]) : '',
											'list_txt_color' 			=> isset($data[19]) ? trim($data[19]) : '',
											'list_txt_color_hov' 		=> isset($data[20]) ? trim($data[20]) : '',
											'list_subtxt_color' 		=> isset($data[21]) ? trim($data[21]) : '',
											'list_subtxt_color_hov' 	=> isset($data[22]) ? trim($data[22]) : '',
											'item_bdr_color' 			=> isset($data[23]) ? trim($data[23]) : '',
											'item_bdr_color_hov' 		=> isset($data[24]) ? trim($data[24]) : '',
											'list_title_color'			=> isset($data[25]) ? trim($data[25]) : '',
											'filter_background_color'	=> isset($data[26]) ? trim($data[26]) : '',
											'filter_text_color'			=> isset($data[27]) ? trim($data[27]) : '',
											'add_block_text' 			=> isset($data[28]) ? sanitize_text_field((trim($data[28]))) : '',
											'menu_order' 				=> isset($data[29]) ? trim($data[29]) : '',
											'post_status' 				=> isset($data[30]) ? trim($data[30]) : '',
										);

										$count++;
										$laps++;

									}
									
									fclose($file);
									//print_r($baseData);exit;
									//Inserting Data from our built array
									
									$keyCounter = 0;
									$metaCounter = 0;
									
									global $wpdb;

									//Sort $baseData numerically
									ksort($baseData, SORT_NUMERIC);
									
									//Parse $baseData and insert in the database
									foreach( $baseData as $key => $data ){
									
										
										//Check menu order for current SLD post, set 0 if empty
										$menu_order_val = isset($data[0]['menu_order']) ? $data[0]['menu_order'] : 0;

										//Grab current LIST title
										$post_title = (isset($data[0]['list_title']) && $data[0]['list_title'] != "" ) ? $data[0]['list_title'] : '';

										//Grab current LIST status, set 'publish' if empty
										$post_status = (isset($data[0]['post_status']) && $data[0]['post_status'] != "" ) ? $data[0]['post_status'] : 'publish';

										//If $post_title is empty, then go for next iteration
										if( $post_title == '' ){
											continue;
										}

										//Build post array and insert as new POST
										$post_arr = array(
											'post_title' 	=> trim($post_title),
											'post_status' 	=> $post_status,
											'post_author' 	=> get_current_user_id(),
											'post_type' 	=> 'sld',
											'menu_order' 	=> $menu_order_val,
										);

										wp_insert_post($post_arr);
						
										//Get the newest post ID, that we just inserted
										$newest_post_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_type = 'sld' ORDER BY ID DESC LIMIT 1");

										$attachedTerms = '';

										$innerListCounter = 0;

										$configArray = array();
										$addBlockArray = array();

										//Add list meta fields. i.e. list items and configs
										foreach( $data as $k => $item ){

											if( $innerListCounter == 0 ){

												$attachedTerms 							= isset($item['attached_terms']) 		? $item['attached_terms'] 		: '';
												$configArray['list_border_color'] 		= isset($item['list_border_color']) 	? $item['list_border_color'] 	: '';
												$configArray['list_bg_color'] 			= isset($item['list_bg_color']) 		? $item['list_bg_color'] 		: '';
												$configArray['list_bg_color_hov'] 		= isset($item['list_bg_color_hov']) 	? $item['list_bg_color_hov'] 	: '';
												$configArray['list_txt_color'] 			= isset($item['list_txt_color']) 		? $item['list_txt_color'] 		: '';
												$configArray['list_txt_color_hov'] 		= isset($item['list_txt_color_hov']) 	? $item['list_txt_color_hov'] 	: '';
												$configArray['list_subtxt_color'] 		= isset($item['list_subtxt_color']) 	? $item['list_subtxt_color'] 	: '';
												$configArray['list_subtxt_color_hov'] 	= isset($item['list_subtxt_color_hov']) ? $item['list_subtxt_color_hov']: '';
												$configArray['item_bdr_color'] 			= isset($item['item_bdr_color']) 		? $item['item_bdr_color'] 		: '';
												$configArray['item_bdr_color_hov'] 		= isset($item['item_bdr_color_hov']) 	? $item['item_bdr_color_hov'] 	: '';
												$addBlockArray['add_block_text'] 		= isset($item['add_block_text']) 		? $item['add_block_text'] 		: '';

												add_post_meta(
													$newest_post_id, 
													'qcopd_list_conf', array(
														'list_border_color' 		=> 	isset($item['list_border_color']) 		? $item['list_border_color'] 		: '',
														'list_bg_color' 			=> 	isset($item['list_bg_color']) 			? $item['list_bg_color'] 			: '',
														'list_bg_color_hov' 		=> 	isset($item['list_bg_color_hov']) 		? $item['list_bg_color_hov'] 		: '',
														'list_txt_color' 			=> 	isset($item['list_txt_color']) 			? $item['list_txt_color'] 			: '',
														'list_txt_color_hov' 		=> 	isset($item['list_txt_color_hov']) 		? $item['list_txt_color_hov'] 		: '',
														'list_subtxt_color' 		=> 	isset($item['list_subtxt_color']) 		? $item['list_subtxt_color'] 		: '',
														'list_subtxt_color_hov' 	=> 	isset($item['list_subtxt_color_hov'])	? $item['list_subtxt_color_hov'] 	: '',
														'item_bdr_color' 			=> 	isset($item['item_bdr_color']) 			? $item['item_bdr_color'] 			: '',
														'item_bdr_color_hov' 		=>  isset($item['item_bdr_color_hov']) 		? $item['item_bdr_color_hov'] 		: '',
														'list_title_color' 			=>  isset($item['list_title_color']) 		? $item['list_title_color'] 		: '',
														'filter_background_color' 	=>  isset($item['filter_background_color']) ? $item['filter_background_color'] 	: '',
														'filter_text_color' 		=>  isset($item['filter_text_color']) 		? $item['filter_text_color'] 		: '',
													)
												);

												add_post_meta(
													$newest_post_id, 
													'sld_add_block', array(
														'add_block_text' =>  $item['add_block_text'],
													)
												);

												$innerListCounter++;
											}

											$attachment_id = "";
											
											$attachmentId = intval($item['qcopd_item_img']);
											
											if( $attachmentId != "" && wp_get_attachment_url( $attachmentId ) ){
											  $attachment_id = $attachmentId;
											}

											if( $attachmentId != '' ){
												$image = wp_get_attachment_metadata( $attachmentId );

												$imageTitle = isset( $image['file'] ) ? $image['file'] : '';

												if( $imageTitle != trim($item['qcopd_item_img_title']) ){
													$attachment_id = "";
												}
											}
											
											add_post_meta(
												$newest_post_id, 
												'qcopd_list_item01', array(
													'qcopd_item_title' 		=> 	isset($item['qcopd_item_title']) 		? $item['qcopd_item_title']		: '',
													'qcopd_item_link' 		=> 	isset($item['qcopd_item_link']) 		? $item['qcopd_item_link']		: '',
													'qcopd_item_subtitle' 	=> 	isset($item['qcopd_item_subtitle']) 	? $item['qcopd_item_subtitle']	: '',
													'qcopd_item_nofollow' 	=> 	isset($item['qcopd_item_nofollow']) 	? $item['qcopd_item_nofollow']	: '',
													'qcopd_item_ugc' 		=> 	isset($item['qcopd_item_ugc']) 			? $item['qcopd_item_ugc']		: '',
													'qcopd_item_newtab' 	=> 	isset($item['qcopd_item_newtab']) 		? $item['qcopd_item_newtab']	: '',
													'qcopd_fa_icon' 		=> 	isset($item['qcopd_fa_icon']) 			? $item['qcopd_fa_icon']		: '',
													'qcopd_use_favicon' 	=> 	isset($item['qcopd_use_favicon']) 		? $item['qcopd_use_favicon']	: '',
													'qcopd_item_img' 		=> 	$attachment_id,
													'qcopd_upvote_count' 	=> 	isset($item['qcopd_upvote_count']) 		? $item['qcopd_upvote_count']	: 0,
													'list_item_bg_color' 	=> 	isset($item['list_item_bg_color']) 		? $item['list_item_bg_color']	: '',
													'qcopd_entry_time' 		=>  isset($item['qcopd_entry_time']) 		? $item['qcopd_entry_time']		: '',
													'qcopd_timelaps' 		=>  isset($item['qcopd_timelaps']) 			? $item['qcopd_timelaps']		: '',
													'qcopd_item_img_link' 	=>  isset($item['qcopd_item_img_link']) 	? $item['qcopd_item_img_link']	: '',
													'qcopd_description' 	=>  isset($item['qcopd_description']) 		? $item['qcopd_description']	: '',
													'qcopd_featured' 		=>  isset($item['qcopd_featured']) 			? $item['qcopd_featured']		: '',
													'qcopd_new' 			=>  isset($item['qcopd_new']) 				? $item['qcopd_new']			: '',
													'qcopd_tags' 			=>  isset($item['qcopd_tags']) 				? $item['qcopd_tags']			: '',
												)
											);
											
											$metaCounter++;
											
										} //end of inner-foreach
										
										$keyCounter++;

										//Relate terms, if exists
										if( !empty($attachedTerms) ){
											
											$termIds = array();

											$postTerms = explode(',', $attachedTerms);

											foreach ($postTerms as $term ) {

												$termId = intval(trim($term));

												if( term_exists($termId, 'sld_cat') ) {

													array_push($termIds, $termId);
													
												}
											}

											wp_set_post_terms( $newest_post_id, $termIds, 'sld_cat' );

										}
									
									} //end of outer-foreach

									//Display iteration result
									if( ( isset($keyCounter) && $keyCounter > 0 ) && ( isset($metaCounter) && $metaCounter > 0 ) ){

										echo  '<div><span style="color: red; font-weight: bold;">'.esc_html('RESULT:', 'qc-opd').'</span> <strong>'.$keyCounter.'</strong> '.esc_html('entry with', 'qc-opd').' <strong>'.$metaCounter.'</strong> '.esc_html('element(s) was made successfully.', 'qc-opd').'</div>';
									}
								
							    }
								else
								{
								   echo esc_html("Status: Please upload a valid CSV file.", "qc-opd");
								}

                            }

                        } 
                        else 
                        {
							//echo "Attached file is invalid!";
                        }

                        ?>
                            
                            <p>
                                <strong>
                                    <?php esc_html_e('Upload a CSV file here to Import: ', 'qc-opd'); ?>
                                </strong>
                            </p>

                            <form name="uploadfile" id="uploadfile_form" method="POST" enctype="multipart/form-data" action="" accept-charset="utf-8">
                                
                                <?php wp_nonce_field('qcsld_import_nonce', 'qc-opd'); ?>

                                <p>
                                    <?php esc_html_e('Select file to upload', 'qc-opd') ?>
                                    <input type="file" name="csv_upload" id="csv_upload" size="35" class="uploadfiles"/>
                                </p>
								<p style="color:red;"><?php esc_html_e('**CSV File & Characters must be saved with UTF-8 encoding**', 'qc-opd') ?></p>
                                <p>
                                    <input class="button-primary sld-add-as-new" type="submit" name="upload_csv" id="" value="<?php esc_html_e('Add New Items', 'qc-opd') ?>"/>

                                    <input class="button-primary delete-old" type="submit" name="delete_upload_csv" id="" value="<?php esc_html_e('Delete Existing Items then Add New Items', 'qc-opd') ?>"/>
                                </p>
								

                            </form>

                        </div>

                        <div style="padding: 15px 10px; border: 1px solid #ccc; text-align: center; margin-top: 20px;" class="qcld-sld-square-section-block">
                            <?php esc_html_e('Crafted By:', 'qc-opd') ?> <a href="<?php echo esc_url('http://www.quantumcloud.com', 'qc-opd'); ?>" target="_blank"> <?php esc_html_e('Web Design Company', 'qc-opd') ?> </a> - QuantumCloud
                        </div>

                        </div>
						<!-- //end sld-main-import-container -->
                    </div>
                    <!-- /post-body-content -->

                </div>
                <!-- /post-body-->

            </div>
            <!-- /poststuff -->


        </div>
        <!-- /wrap -->

        <?php
    }
}

new Qcopd_BulkImport;


function download_send_headers($filename) {
    // disable caching
    $now = gmdate("D, d M Y H:i:s");
    header("Expires: Tue, 03 Jul 2001 06:00:00 GMT");
    header("Cache-Control: max-age=0, no-cache, must-revalidate, proxy-revalidate");
    header("Last-Modified: {$now} GMT");

    // force download  
    header("Content-Type: application/force-download");
    /*header("Content-Type: application/octet-stream");
    header("Content-Type: application/download");*/

    // disposition / encoding on response body
    header("Content-Disposition: attachment;filename={$filename}");
    header("Content-Transfer-Encoding: binary");
}

function array2csv(array &$array)
{
   if (count($array) == 0) {
     return null;
   }

   ob_start();

   $df = fopen("php://output", 'w');

   $titles = array('List ID', 'List Title', 'Item Title', 'Link', 'No Follow', 'Ugc', 'New Tab', 'Sub Title', 'FA Icon Class', 'Use Favicon', 'Attachment ID', 'Attachment Title', 'Direct/External Image Link', 'Upvotes', 'Item bg Color', 'Terms', 'List Holder Color', 'Item Background Color', 'Item Background Color (Hover)', 'Item Text Color', 'Item Text Color (Hover)', 'Item Sub Text Color', 'Item Sub Text Color (Hover)', 'Item Border Color', 'Item Border Color (Hover)','List Title Color','Filter Button Background Color','Filter Button Text Color', 'Ad Content', 'List Order', 'Post Status', 'Long Description','Tags','New (supported value  1, 0)','Featured (supported value 1, 0)');

   fputcsv($df, $titles);

   foreach ($array as $row) {
      fputcsv($df, $row);
   }

   fclose($df);

   return ob_get_clean();
}

add_action( 'admin_post_sldprint.csv', 'sld_export_print_csv' );

function sld_export_print_csv()
{
    global $wpdb;

    if ( ! current_user_can( 'manage_options' ) )
        return;

    $args = array(
		'post_type' => 'sld',
		'posts_per_page' => -1,
		'orderby' => 'id',
		'order' => 'ASC',
	);

    //Build the array first
    $export_query = new WP_Query( $args );

    $childArray = array();
    
	if ( $export_query->have_posts() ) 
	{

		$childArray = array();

		while ( $export_query->have_posts() ) 
		{
			$export_query->the_post();

			$post_title = get_the_title();

			$list_id = get_the_ID();

			$menu_order = get_post_field( 'menu_order', get_the_ID() );

			$post_status = get_post_status( get_the_ID() );

			$lists = get_post_meta( get_the_ID(), 'qcopd_list_item01' );

			$config = get_post_meta( get_the_ID(), 'qcopd_list_conf' );

			$addBlock = get_post_meta( get_the_ID(), 'sld_add_block' );

			$add_content = "";

			if( count($addBlock) > 0 )
			{
				$add_content = $addBlock[0]['add_block_text'];
			}
			
			$config_exists = false;

			if( count($config) > 0 )
			{
				$config_exists = true;
			}

			$terms = array();

			$terms = get_the_terms( get_the_ID(), 'sld_cat' );

			$termArray = array();
			$attachedTerms = '';

			if( $terms && count($terms) > 0 )
			{

				foreach ( $terms as $term ) 
				{
			        $termArray[] = $term->term_id;
			    }
			                         
			    $attachedTerms = join( ", ", $termArray );
			}

			if( count($lists) > 0 )
			{

				$innerListNumber = 1;

				foreach( $lists as $list )
				{
					$innerArray = array();

					$title 				= isset($list['qcopd_item_title']) ? $list['qcopd_item_title'] : "";
					$subtitle 			= isset($list['qcopd_item_subtitle']) ? $list['qcopd_item_subtitle'] : "";
					$link 				= isset($list['qcopd_item_link']) ? $list['qcopd_item_link'] : "";
					$nofollow 			= ( isset($list['qcopd_item_nofollow']) && $list['qcopd_item_nofollow'] != '0' ) ? 1 : 0;
					$ugc 				= ( isset($list['qcopd_item_ugc']) && $list['qcopd_item_ugc'] != '0' ) ? 1 : 0;
					$newtab 			= ( isset($list['qcopd_item_newtab']) && $list['qcopd_item_newtab'] != '0' ) ? 1 : 0;

					$faIconClass 		= (isset($list['qcopd_fa_icon']) && trim($list['qcopd_fa_icon']) != "") ? $list['qcopd_fa_icon'] : "";
					$qcopd_description 	= (isset($list['qcopd_description']) && trim($list['qcopd_description']) != "") ? $list['qcopd_description'] : "";
					
					$qcopd_new 			= (isset($list['qcopd_new']) && trim($list['qcopd_new']) != "") ? $list['qcopd_new'] : "";
					
					$qcopd_featured 	= (isset($list['qcopd_featured']) && trim($list['qcopd_featured']) != "") ? $list['qcopd_featured'] : "";
					$qcopd_tags 		= (isset($list['qcopd_tags']) && trim($list['qcopd_tags']) != "") ? $list['qcopd_tags'] : "";

					$useFavicon 		= (isset($list['qcopd_use_favicon']) && trim($list['qcopd_use_favicon']) != "0") ? 1 : 0;

					$setImageId 		= ( isset($list['qcopd_item_img'])  && $list['qcopd_item_img'] != "" ) ? trim($list['qcopd_item_img']) : '';

					$externalImageLink 	= ( isset($list['qcopd_item_img_link'])  && $list['qcopd_item_img_link'] != "" ) ? trim($list['qcopd_item_img_link']) : '';

					$upvotes 			= ( isset($list['qcopd_upvote_count'])  && $list['qcopd_upvote_count'] != "" ) ? trim($list['qcopd_upvote_count']) : 0;
					$item_bg_color 		= ( isset($list['list_item_bg_color'])  && $list['list_item_bg_color'] != "" ) ? trim($list['list_item_bg_color']) : '';

					$image 				= wp_get_attachment_metadata( $setImageId );

					$imageTitle = isset( $image['file'] ) ? $image['file'] : '';

					$innerArray[0] = trim($list_id);
					$innerArray[1] = trim($post_title);
					$innerArray[2] = $title;
					$innerArray[3] = $link;
					$innerArray[4] = $nofollow;
					$innerArray[5] = $ugc;
					$innerArray[6] = $newtab;
					$innerArray[7] = $subtitle;
					$innerArray[8] = $faIconClass;
					$innerArray[9] = $useFavicon;
					$innerArray[10] = $setImageId;
					$innerArray[11] = $imageTitle;
					$innerArray[12] = $externalImageLink;
					$innerArray[13] = $upvotes;
					$innerArray[14] = $item_bg_color;
					$innerArray[15] = $attachedTerms;

					$innerArray[16] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['list_border_color'] : "";
					$innerArray[17] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['list_bg_color'] : "";
					$innerArray[18] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['list_bg_color_hov'] : "";
					$innerArray[19] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['list_txt_color'] : "";
					$innerArray[20] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['list_txt_color_hov'] : "";
					$innerArray[21] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['list_subtxt_color'] : "";
					$innerArray[22] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['list_subtxt_color_hov'] : "";
					$innerArray[23] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['item_bdr_color'] : "";
					$innerArray[24] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['item_bdr_color_hov'] : "";
					$innerArray[25] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['list_title_color'] : "";
					$innerArray[26] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['filter_background_color'] : "";
					$innerArray[27] = ( $config_exists && $innerListNumber == 1 ) ? $config[0]['filter_text_color'] : "";

					$innerArray[28] = ( $innerListNumber == 1 ) ? $add_content : "";

					$innerArray[29] = ( isset($menu_order) && $menu_order != '' ) ? $menu_order : 0;

					$final_post_status = ( isset($post_status) && $post_status != '' ) ? $post_status : 'publish';

					$innerArray[30] = ( $innerListNumber == 1 ) ? $final_post_status : '';
					$innerArray[31] = $qcopd_description;
					$innerArray[32] = $qcopd_tags;
					$innerArray[33] = $qcopd_new;
					$innerArray[34] = $qcopd_featured;
					

					array_push($childArray, $innerArray);

					$innerListNumber++;
				}
			}

		}


		wp_reset_postdata();
	}

	/*echo '<pre>';
		print_r( $childArray );
	echo '</pre>';*/

	download_send_headers("sld_lists_" . date("Y-m-d") . ".csv");

	$result = array2csv($childArray);

	print $result;

}
