<?php



add_filter( 'ot_show_pages', '__return_false' );
add_filter( 'ot_show_new_layout', '__return_false' );
add_filter( 'ot_use_theme_options', '__return_false' );

function qcld_sld_remove_ot_menu () {
    remove_submenu_page( 'themes.php', 'ot-theme-options' );
	
}
//add_action( 'admin_init', 'qcld_sld_remove_ot_menu' );

add_filter( 'ot_header_version_text', 'sld_ot_version_text_custom' );

function sld_ot_version_text_custom()
{
	if( isset($_GET['post_type']) && ($_GET['post_type'] == 'sld') ){
		$text = 'Developed by <a href="http://www.quantumcloud.com" target="_blank">Web Design Company - QuantumCloud</a>';
		
		return $text;
	}
}

/**
 * Hook to register admin pages 
 */
add_action( 'init', 'sld_register_options_pages' );

/**
 * Registers all the required admin pages.
 */

function sld_register_options_pages() {

  // Only execute in admin & if OT is installed
  //if ( is_admin() && function_exists( 'ot_register_settings' ) ) {
  if ( is_admin() && function_exists( 'ot_register_settings' ) ) {

    // Register the pages
    ot_register_settings( 
      array(
        array( 
          'id'              => 'sld_option_tree',
          'pages'           => array(
            array(
              'id'              => 'sld_options',
              'parent_slug'     => 'edit.php?post_type=sld',
              'page_title'      => __('Settings', 'qc-opd'),
              'menu_title'      => __('Settings', 'qc-opd'),
              'capability'      => 'edit_theme_options',
              'menu_slug'       => 'sld-options-page',
              'icon_url'        => null,
              'position'        => null,
              'updated_message' => 'SLD Options Updated.',
              'reset_message'   => 'SLD Options Reset.',
              'button_text'     => 'Save Changes',
              'show_buttons'    => true,
              'screen_icon'     => 'options-general',
              'contextual_help' => null,
			  
    'sections'        => array( 
      array(
        'id'          => 'general',
        'title'       => __( 'Settings', 'qc-opd' )
      ),
	  array(
        'id'          => 'frontend',
        'title'       => __( 'Frontend Submission', 'qc-opd' )
      ),
	  array(
        'id'          => 'claim_listing',
        'title'       => __( 'Claim Listing', 'qc-opd' )
      ),
	  array(
        'id'          => 'payment',
        'title'       => __( 'Payment Method', 'qc-opd' )
      ),
      array(
        'id'          => 'bookmark',
        'title'       => __( 'Favorite Settings', 'qc-opd' )
      ),
	  array(
        'id'          => 'multipage',
        'title'       => __( 'Multipage Settings', 'qc-opd' )
      ),
	  array(
        'id'          => 'upvote',
        'title'       => __( 'Upvote Settings', 'qc-opd' )
      ),
	  
	  array(
        'id'          => 'language',
        'title'       => __( 'Language Settings', 'qc-opd' )
      ),
	  array(
        'id'          => 'email_language',
        'title'       => __( 'Email Language Settings', 'qc-opd' )
      ),
	  array(
        'id'          => 'custom_css',
        'title'       => __( 'Custom CSS', 'qc-opd' )
      ),
	  array(
        'id'          => 'custom_js',
        'title'       => __( 'Custom Javascript', 'qc-opd' )
      ),

    ),
			  
    'settings'        => array(
	    array(
		    'label'       => __('SLD Admin Email'),
		    'id'          => 'sld_admin_email',
		    'type'        => 'text',
		    'desc'        => __('Please provide a valid email address.'),
		    'std'         => '',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'general'
	    ),
			  

	array(
		'label'       => __('Google PageSpeed API Key to Auto Generate Screenshots'),
		'id'          => 'sld_pagespeed_api',
		'type'        => 'text',
		'desc'        => __('Easily get an API key  <a href="'.esc_url('https://developers.google.com/speed/docs/insights/v5/get-started#APIKey').'" target="_blank">from here</a>. It\'s free. '),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
		array(
			'id'          => 'sld_use_global_font',
			'label'       => __( 'Select Font Setting', 'qc-opd' ),
			'desc'        => __( '', 'qc-opd' ),
			'type'        => 'select',
			'section'     => 'general',
			'choices'     => array( 
					array(
						'value'       => 'no',
						'label'       => __( 'Theme Font', 'qc-opd' ),
					),
					array(
						'value'       => 'yes',
						'label'       => __( 'Custom Font', 'qc-opd' ),
					),
				),
			'default'	=> 'yes'
			
		),

	array(
		'label'       => __('Google Font API Key'),
		'id'          => 'sld_google_font_api',
		'type'        => 'text',
		'desc'        => __('<span style="color: red">You must enter Google Font API Key to use google fonts</span>'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general',
		'condition' => 'sld_use_global_font:is(yes)'
	),

	array(
		'label'       => __('Custom Font'),
		'id'          => 'sld_global_font',
		'type'        => 'google-fonts',
		'desc'        => __('You have to select Custom Font from Font setting, Otherwise change will not take place.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general',
		'condition' => 'sld_use_global_font:is(yes)'
	),
	array(
		'label'       => __('Enable Top Area'),
		'id'          => 'sld_enable_top_part',
		'type'        => 'on-off',
		'desc'        => __('Top Area includes Live Search, Add a Item, Share Button.'),
		'std'         => 'on',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable Live Search'),
		'id'          => 'sld_enable_search',
		'type'        => 'on-off',
		'desc'        => __('Live search through directory items.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Inclusive Tag Filter'),
		'id'          => 'inclusive_tag_filter',
		'type'        => 'on-off',
		'desc'        => __('listings with all selected tags. Use and relation when select multiple tags'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),

	array(
			'id'          => 'sld_filter_ptype',
			'label'       => __( 'Filter Button Presentation Style', 'qc-opd' ),
			'desc'        => __( '', 'qc-opd' ),
			'type'        => 'select',
			'section'     => 'general',
			'choices'     => array( 
					array(
						'value'       => 'normal',
						'label'       => __( 'Normal Buttons', 'qc-opd' ),
					),
					array(
						'value'       => 'carousel',
						'label'       => __( 'Carousel', 'qc-opd' ),
					),
				),
			'default'	=> 'yes'
			
		),

	array(
		'label'       => __('Enable List Filtering at Top Position'),
		'id'          => 'sld_enable_filtering',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),

	array(
		'id'          => 'sld_order_tag_alphabetically',
		'label'       => __( 'Order Tags Alphabetically', 'qc-opd' ),
		'desc'        => __( '', 'qc-opd' ),
		'type'        => 'select',
		'section'     => 'general',
		'choices'     => array( 
				array(
					'value'       => '',
					'label'       => __( 'None', 'qc-opd' ),
				),
				array(
					'value'       => 'asc',
					'label'       => __( 'Asecnding', 'qc-opd' ),
				),
				array(
					'value'       => 'desc',
					'label'       => __( 'Descending', 'qc-opd' ),
				),
			),
		'default'	=> ''
		
	),

	    array(
		    'label'       => __('Enable List Filtering at Left Position'),
		    'id'          => 'sld_enable_filtering_left',
		    'type'        => 'on-off',
		    'desc'        => __(''),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'general'
	    ),

	array(
		'label'       => __('Enable RTL Direction'),
		'id'          => 'sld_enable_rtl',
		'type'        => 'on-off',
		'desc'        => __('If you make this option ON, then list heading and list items will be arranged in Right-to-Left direction.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable Embed List Button on Listing Pages'),
		'id'          => 'sld_enable_embed_list',
		'type'        => 'on-off',
		'desc'        => __('Enable embed link button to generate iFrame embed code for particular list.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	
	
	array(
		'label'       => __('Embed Credit Title'),
		'id'          => 'sld_embed_credit_title',
		'type'        => 'text',
		'desc'        => __('This text will be displayed below embedded list in other sites.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Embed Credit Link'),
		'id'          => 'sld_embed_credit_link',
		'type'        => 'text',
		'desc'        => __('This text will be displayed below embedded list in other sites.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Track Outbound Clicks'),
		'id'          => 'sld_enable_click_tracking',
		'type'        => 'on-off',
		'desc'        => __('You need to have the analytics.js [<a href="https://support.google.com/analytics/answer/1008080#GA" target="_blank">Analytics tracking code in every page of your site</a>].'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable Widget Items Link to Listing Details Globally'),
		'id'          => 'sld_enable_widget_links_to_item_details_page',
		'type'        => 'on-off',
		'desc'        => __('Enable Widget Items Link to Listing Details for All Pages.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable Upvote Option in Widgets'),
		'id'          => 'sld_enable_widget_upvote',
		'type'        => 'on-off',
		'desc'        => __('Allow users to upvote items using widgets.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'upvote'
	),
	    array(
		    'id'          => 'sld_use_global_thumbs_up',
		    'label'       => __( 'Select Upvote Icon', 'qc-opd' ),
		    'desc'        => __( '', 'qc-opd' ),
		    'type'        => 'select',
		    'section'     => 'upvote',
		    'choices'     => array(
			    array(
				    'value'       => 'fa-thumbs-up',
				    'label'       => __( 'Thumbs Up', 'qc-opd' ),
			    ),
			    array(
				    'value'       => 'fa-heart',
				    'label'       => __( 'Heart', 'qc-opd' ),
			    ),
			    array(
				    'value'       => 'fa-smile-o',
				    'label'       => __( 'Smile Face', 'qc-opd' ),
			    ),
			    array(
				    'value'       => 'fa-fire',
				    'label'       => __( 'Fire', 'qc-opd' ),
			    ),
			    array(
				    'value'       => 'fa-star',
				    'label'       => __( 'Star', 'qc-opd' ),
			    ),

		    ),
		    'default'	=> 'yes'

	    ),
		
		array(
			'label'       => __('Upvote restrict by IP'),
			'id'          => 'sld_upvote_restrict_by_ip',
			'type'        => 'on-off',
			'desc'        => __('Daily one upvote per IP.'),
			'std'         => 'off',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'upvote'
		),
		
		array(
			'label'       => __('Allow only logged in user to upvote'),
			'id'          => 'sld_upvote_user_login',
			'type'        => 'on-off',
			'desc'        => __('Allow only logged in user to upvote.'),
			'std'         => 'off',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'upvote'
		),
		array(
			'label'       => __('Login Url'),
			'id'          => 'sld_upvote_login_url',
			'type'        => 'text',
			'desc'        => __(''),
			'std'         => '',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'upvote',
			'condition' => 'sld_upvote_user_login:is(on)',
		),
		
		
		array(
			'label'       => __('Reset Upvotes'),
			'id'          => 'sld_upvote_reset',
			'type'        => 'Textblock',
			'desc'        => __('<button id="sld_reset_all_upvotes" class="option-tree-ui-button button button-primary">Reset Upvotes</button>'),
			'section'     => 'upvote'
			
		),
		array(
			'label'       => __('Upvote Expire after (Days). Ex: 30'),
			'id'          => 'sld_upvote_expire_after',
			'type'        => 'text',
			'desc'        => __('Upvote will automatic expire after choosen days. This field only accept integer as day. EX: 30. If you do not want any expiration of upvote just leave this field empty.'),
			'section'     => 'upvote'
			
		),
		array(
			'label'       => __('Shorten Upvote Number Ex: 1K+, 1M+'),
			'id'          => 'sld_upvote_shorten_number',
			'type'        => 'on-off',
			'std'         => 'off',
			'desc'        => __('If Enable Total Upvote number will show like 1K+, 1M+.'),
			'section'     => 'upvote'
			
		),
		array(
			'label'       => __('Enable Statistics'),
			'id'          => 'sld_enable_statistics',
			'type'        => 'on-off',
			'desc'        => __('Enable Statistics.'),
			'std'         => 'off',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'general'
		),
		array(
			'label'       => __('Enable Upvote for Main Click'),
			'id'          => 'sld_main_click_upvote',
			'type'        => 'on-off',
			'desc'        => __('If you turn it on then item will be upvoted if user click on the particular item.'),
			'std'         => 'off',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'general'
		),
		
	array(
		'label'       => __('Enable Scroll to Top Button'),
		'id'          => 'sld_enable_scroll_to_top',
		'type'        => 'on-off',
		'desc'        => __('Show Scroll to Top.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Automatically Remove Duplicate List Item'),
		'id'          => 'sld_auto_remove_dup_item',
		'type'        => 'on-off',
		'desc'        => __('Enable to automatically remove duplicate list item.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable Image Loaded Library'),
		'id'          => 'sld_enable_image_loaded',
		'type'        => 'on-off',
		// 'desc'        => __('Enable to automatically remove duplicate list item.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable Tag Filter Dropdown on Mobile'),
		'id'          => 'sld_enable_tag_filter_dropdown_mobile',
		'type'        => 'on-off',
		// 'desc'        => __('Show Landmarks on Google Map such as (park, church etc).'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable List Filter Dropdown on Mobile'),
		'id'          => 'sld_enable_list_filter_dropdown_mobile',
		'type'        => 'on-off',
		// 'desc'        => __('Show Landmarks on Google Map such as (park, church etc).'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
			'label'       => __('Mark as New Item will Expire after (XXX Days). Ex: 30'),
			'id'          => 'sld_new_expire_after',
			'type'        => 'text',
			'desc'        => __('Mark as new item will automatic expire after choosen days. This field only accept integer as day. EX: 30. If you do not want any expiration of Mark as new item just leave this field empty.'),
			'section'     => 'general'
			
		),

	array(
		'label'       => __('Enable Extra Field for Youtube/Vimeo Videos in Popup'),
		'id'          => 'sld_enable_extra_video_field',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Global search icon'),
		'id'          => 'sld_global_search_icon',
		'type'        => 'text',
		'desc'        => __('This icon will be displayed global search icon'),
		'std'         => 'fa-search',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),

	array(
		'label'       => __('Enable Long Description with Live Search'),
		'id'          => 'sld_enable_live_search_with_description',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
		

	array(
		'label'       => __('Enable Claim Listing'),
		'id'          => 'sld_enable_claim_listing',
		'type'        => 'on-off',
		'desc'        => __('Shortcode: [sld_claim_listing] <br><span style="color:red;font-weight:bold"> Before enabling Claim Listing you must enable and configure Frontend Submission. <br>You have to create a page by using this Shortcode [sld_claim_listing] where user can register & claim list item.</span><br><br> <div id="sld_page_check"></div> '),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'claim_listing'
	),
	array(
		'label'       => __('Show Claim Listing Button at Top'),
		'id'          => 'sld_show_claim_listing_button',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'claim_listing'
	),
	array(
		'label'       => __('Auto Approve Claim Listing'),
		'id'          => 'sld_auto_approve_claim_listing',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'on',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'claim_listing'
	),
	


	//Code for frontend section//
	array(
		'label'       => __('Enable Frontend Submission'),
		'id'          => 'sld_enable_add_new_item',
		'type'        => 'on-off',
		'desc'        => __('<span style="color:red;font-weight:bold">For front end submission to work you need to create 4 different pages and paste the following short code in each page: [sld_login], [sld_registration], [sld_dashboard] & [sld_restore] </span><br><br> <div id="sld_page_check"></div> '),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend'
	),
	    array(
		    'label'       => __('Enable Free Frontend Submission'),
		    'id'          => 'sld_enable_free_submission',
		    'type'        => 'on-off',
		    'desc'        => __('<span style="color:red;font-weight:bold">When you are logged in as admin, you can add listings from the front end as well as the back end.</span><br />Allow user to submit their items free of cost.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),
	    array(
		    'label'       => __('Free Submission Limit'),
		    'id'          => 'sld_free_item_limit',
		    'type'        => 'text',
		    'desc'        => __('Enter your limit amount. EX:10.'),
		    'std'         => '10',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_free_submission:is(on),sld_enable_add_new_item:is(on)',
	    ),
		array(
		    'label'       => __('Long Description Field for Free Listing'),
		    'id'          => 'sld_enable_long_desc_free_submission',
		    'type'        => 'on-off',
		    'desc'        => __('You can turn off Long description field for free listing.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_free_submission:is(on)',
	    ),
	    /*array(
		    'label'       => __('Enable Package for Frontend Submission'),
		    'id'          => 'sld_enable_package',
		    'type'        => 'on-off',
		    'desc'        => __('To enable package please make sure that you have setup a package from <a href="'.get_admin_url().'edit.php?post_type=sld&page=qcsld_package">Simple Link Directory/Package</a>.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),*/
	    array(
		    'label'       => __('Long Description Field for All Listing'),
		    'id'          => 'sld_enable_long_desc_on_off',
		    'type'        => 'on-off',
		    'desc'        => __(''),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),
	    array(
		    'label'       => __('Enable Email Notification for New Item Submission'),
		    'id'          => 'sld_email_notification',
		    'type'        => 'on-off',
		    'desc'        => __(''),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),
	array(
		'label'       => __('Mark Paid Item as Featured'),
		'id'          => 'sld_paid_item_featured',
		'type'        => 'on-off',
		'desc'        => __('Enable to mark paid item as featured.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Show Featured Item at Top'),
		'id'          => 'sld_featured_item_top',
		'type'        => 'on-off',
		'desc'        => __('Enable to show featured item at top.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Login Captcha'),
		'id'          => 'sld_login_captcha',
		'type'        => 'on-off',
		'desc'        => __('Captcha for frontend Login form.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Registration Captcha'),
		'id'          => 'sld_enable_captcha',
		'type'        => 'on-off',
		'desc'        => __('Captcha for frontend registration form.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Google reCaptcha (reCaptcha V2)'),
		'id'          => 'sld_enable_recaptcha',
		'type'        => 'on-off',
		'desc'        => __('Captcha for frontend registration form, login form. (Using Google reCaptcha V2)'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		    'label'       => __('Site Key'),
		    'id'          => 'sld_recaptcha_site_key',
		    'type'        => 'text',
		    'desc'        => __('Enter your Google reCaptcha Site Key. (Using Google reCaptcha V2)'),
		    'std'         => '',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',

	    ),
	array(
		    'label'       => __('Secret Key'),
		    'id'          => 'sld_recaptcha_secret_key',
		    'type'        => 'text',
		    'desc'        => __('Enter your Google reCaptcha Secret Key. (Using Google reCaptcha V2)'),
		    'std'         => '',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',

	    ),
	
	array(
		'label'       => __('Allow any logged in user to add link'),
		'id'          => 'sld_enable_anyusers',
		'type'        => 'on-off',
		'desc'        => __('Allow any logged in user to add link'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),

	array(
		'label'       => __('Prevent user to Delete link'),
		'id'          => 'sld_prevent_user_delete_link',
		'type'        => 'on-off',
		// 'desc'        => __('Allow any logged in user to add link'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),

	array(
		'label'       => __('Prevent user to Edit link'),
		'id'          => 'sld_prevent_user_edit_link',
		'type'        => 'on-off',
		// 'desc'        => __('Allow any logged in user to add link'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),

	array(
		'label'       => __('Auto Redirect to Login page'),
		'id'          => 'sld_auto_redirect_login_page',
		'type'        => 'on-off',
		'desc'        => __('Auto Redirect Logged Out Users to Log in page when they try to access the SLD Dashboard page'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),

	    array(
		    'label'       => __('Allow User to Update Profile'),
		    'id'          => 'sld_profile_update',
		    'type'        => 'on-off',
		    'desc'        => __('Allow User to Update their Profile from dashboard.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),

	    array(
		    'label'       => __('Allow User to Upload Image'),
		    'id'          => 'sld_image_upload',
		    'type'        => 'on-off',
		    'desc'        => __('Allow user to upload item image.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),
		
	    array(
		    'label'       => __('Do Not Allow do-follow Links '),
		    'id'          => 'sld_disable_no_follow',
		    'type'        => 'on-off',
		    'desc'        => __(''),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),
	    array(
		    'label'       => __('Enable Tag Field on Frontend Submission '),
		    'id'          => 'sld_enable_frontend_submission_tag_field',
		    'type'        => 'on-off',
		    'desc'        => __(''),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),

	array(
		'label'       => __('Auto Approve Registered Users'),
		'id'          => 'sld_enable_user_approval',
		'type'        => 'on-off',
		'desc'        => __('When turned off admin needs to Approve users manually from main WordPress Users.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Auto Approve Item Submission'),
		'id'          => 'sld_enable_auto_approval',
		'type'        => 'on-off',
		'desc'        => __('Auto approval for frontend list submission.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Enable Auto Generate Image Button on Frontend Submission'),
		'id'          => 'sld_enable_auto_generate_btn',
		'type'        => 'on-off',
		// 'desc'        => __('Auto approval for frontend list submission.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	
	array(
		'label'       => __('Enable Paypal payment'),
		'id'          => 'sld_enable_paypal_payment',
		'type'        => 'on-off',
		'desc'        => __('Enable Paypal as payment gateway'),
		'std'         => 'on',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		
	),
	array(
		'label'       => __('Paypal Email Address'),
		'id'          => 'sld_paypal_email',
		'type'        => 'text',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_paypal_payment:is(on)',
	),
	array(
		'label'       => __('Enable Paypal Test Mode'),
		'id'          => 'sld_enable_paypal_test_mode',
		'type'        => 'on-off',
		'desc'        => __('Enable Paypal Test Mode'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_paypal_payment:is(on)',
	),
	array(
		'label'       => __('Enable Paypal Recurring Payment'),
		'id'          => 'sld_enable_paypal_recurring',
		'type'        => 'on-off',
		'desc'        => __('Enable Paypal Recurring Payment'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_paypal_payment:is(on)',
	),
	
	array(
		'label'       => __('Enable Stripe payment'),
		'id'          => 'sld_enable_stripe_payment',
		'type'        => 'on-off',
		'desc'        => __('Enable stripe as payment gateway'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		
	),
	
	array(
		'label'       => __('Stripe Secret Key'),
		'id'          => 'sld_stripe_sectet_key',
		'type'        => 'text',
		'desc'        => __('You can find the Secret key from <a href="https://dashboard.stripe.com/account/apikeys" target="_blank">https://dashboard.stripe.com/account/apikeys</a> after logging in to your stripe dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_stripe_payment:is(on)',
	),
	array(
		'label'       => __('Stripe Public Key'),
		'id'          => 'sld_stripe_public_key',
		'type'        => 'text',
		'desc'        => __('You can find the Public key from <a href="https://dashboard.stripe.com/account/apikeys" target="_blank">https://dashboard.stripe.com/account/apikeys</a> after logging in to your stripe dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_stripe_payment:is(on)',
	),
	
	array(
		'label'       => __('Enable 2Checkout payment'),
		'id'          => 'sld_enable_2checkout_payment',
		'type'        => 'on-off',
		'desc'        => __('Enable 2checkout as payment gateway'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		
	),
	array(
		'label'       => __('Enable 2checkout Sandbox'),
		'id'          => 'sld_enable_2checkout_sandbox',
		'type'        => 'on-off',
		'desc'        => __('Enable 2checkout sandbox for testing.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_2checkout_payment:is(on)',
		
	),
	array(
		'label'       => __('2checkout Seller ID'),
		'id'          => 'sld_2checkout_seller_id',
		'type'        => 'text',
		'desc'        => __('You can find the seller id after logging in to your 2checkout dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_2checkout_payment:is(on)',
	),
	
	array(
		'label'       => __('2checkout private Key'),
		'id'          => 'sld_2checkout_sectet_key',
		'type'        => 'text',
		'desc'        => __('You can find the private key from <a href="https://sandbox.2checkout.com/sandbox/api/" target="_blank">https://sandbox.2checkout.com/sandbox/api/</a> after logging in to your 2checkout dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_2checkout_payment:is(on)',
	),
	array(
		'label'       => __('2checkout Public Key'),
		'id'          => 'sld_2checkout_public_key',
		'type'        => 'text',
		'desc'        => __('You can find the Public key from <a href="https://sandbox.2checkout.com/sandbox/api/" target="_blank">https://sandbox.2checkout.com/sandbox/api/</a> after logging in to your 2checkout dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_2checkout_payment:is(on)',
	),

	array(
		'label'       => __('Enable Mollie payment'),
		'id'          => 'sld_enable_mollie_payment',
		'type'        => 'on-off',
		'desc'        => __('Enable mollie as payment gateway'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		
	),
	
	array(
		'label'       => __('Mollie API Key'),
		'id'          => 'sld_mollie_sectet_key',
		'type'        => 'text',
		'desc'        => __('You can find the API key from <a href="https://www.mollie.com/dashboard/developers/api-keys" target="_blank">https://www.mollie.com/dashboard/developers/api-keys</a> after logging in to your mollie dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_mollie_payment:is(on)',
	),
	array(
		'label'       => __('Mollie Access Token Key'),
		'id'          => 'sld_mollie_public_key',
		'type'        => 'text',
		'desc'        => __('You can find the Access Token key from <a href="https://www.mollie.com/dashboard/developers/organization-access-tokens" target="_blank">https://www.mollie.com/dashboard/developers/organization-access-tokens</a> after logging in to your mollie dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_mollie_payment:is(on)',
	),

	array(
		'label'       => __('Enable Offline payment'),
		'id'          => 'sld_enable_offline_payment',
		'type'        => 'on-off',
		'desc'        => __('Enable Offline payment gateway'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		
	),
	
	
	array(
		'label'       => __('Exclude List By ID'),
		'id'          => 'sld_exclude_list',
		'type'        => 'text',
		'desc'        => __('Exclude list from frontend submission by id. Use comma(,) to seperate multiple ids. EX:102,105'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	
	array(
		'label'       => __('Enable Email Notification for Package Expiration'),
		'id'          => 'sld_enable_email_notification_package_expire',
		'type'        => 'on-off',
		'desc'        => __('Enable/Disable Email Notification for Package Expiration'),
		'std'         => 'on',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Package Expiration Email'),
		'id'          => 'sld_package_expire_email',
		'type'        => 'textarea',
		'desc'        => __('You can edit this email content the way you like. Available Variables: #user_name, #expire_date, #package_name, #create_date'),
		'std'         => '<p>Hi #user_name,</p>
<p>Your package #package_name has been expired at #expire_date. Please renew your package by login to your dashboard.</p>
<p>Thanks.</p>',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_email_notification_package_expire:is(on),sld_enable_add_new_item:is(on)',
	),
	
	array(
		'label'       => __('Link Add New Button to a Page Instead'),
		'id'          => 'sld_add_new_behave',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(off)',
	),
	array(
		'label'       => __('Add Button Link'),
		'id'          => 'sld_add_item_link',
		'type'        => 'text',
		'desc'        => __('Example: http://www.yourdomain.com'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_add_new_behave:is(on),sld_enable_add_new_item:is(off)'
	),

	array(
		'label'       => __('Alternative Manual Add Button Links'),
		'id'          => 'sld_alt_add_item_link',
		'type'        => 'text',
		'desc'        => __('You can set a Registration/Login page manually and link to that page. In that case, you should still create 4 different pages and paste the following short code in each page: [sld_login], [sld_registration], [sld_dashboard] & [sld_restore] and link to them from your main menu after user is logged in.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)'
	),
	
	array(
		'label'       => 'Custom CSS',
		'id'          => 'sld_custom_style',
		'type'        => 'css',
		'desc'        => __('Write your custom CSS here.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'custom_css'
	),
	array(
		'label'       => 'Custom Javascript',
		'id'          => 'sld_custom_js',
		'type'        => 'javascript',
		'desc'        => __('Write your custom javascript here. No need any script tag.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'custom_js'
	),

//Bookmark section

array(
		'label'       => __('Enable Favorite'),
		'id'          => 'sld_enable_bookmark',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
array(
		'label'       => __('User Login url'),
		'id'          => 'sld_bookmark_user_login_url',
		'type'        => 'text',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
array(
		'label'       => __('Favorite List Title'),
		'id'          => 'sld_bookmark_title',
		'type'        => 'text',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
array(
		'label'       => __('Popup Message'),
		'id'          => 'sld_bookmark_popup_content',
		'type'        => 'text',
		'desc'        => __('This message will show when login required to add favorite.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('List Holder Color'),
		'id'          => 'sld_bookmark_list_holder_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Background Color'),
		'id'          => 'sld_bookmark_item_background_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Background Color Hover'),
		'id'          => 'sld_bookmark_item_background_color_hover',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Featured Background Color'),
		'id'          => 'sld_bookmark_item_featured_background_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Text Color'),
		'id'          => 'sld_bookmark_item_text_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Text Color Hover'),
		'id'          => 'sld_bookmark_item_text_color_hover',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),

	array(
		'label'       => __('Item Sub Text Color'),
		'id'          => 'sld_bookmark_item_sub_text_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Sub Text Color Hover'),
		'id'          => 'sld_bookmark_item_sub_text_color_hover',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Border Color'),
		'id'          => 'sld_bookmark_item_border_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	array(
		'label'       => __('Item Border Color Hover'),
		'id'          => 'sld_bookmark_item_border_color_hover',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),

	array(
		'label'       => __('Add Link'),
		'id'          => 'sld_lan_add_link',
		'type'        => 'text',
		'desc'        => __('Change the language for Add Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Share List'),
		'id'          => 'sld_lan_share_list',
		'type'        => 'text',
		'desc'        => __('Change the language for Share List'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Claim Listing'),
		'id'          => 'sld_lan_claim_list',
		'type'        => 'text',
		'desc'        => __('Change the language for Claim Listing'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	
	array(
		'label'       => __('Live Search Items'),
		'id'          => 'sld_lan_live_search',
		'type'        => 'text',
		'desc'        => __('Change the language for Live Search Items'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Show All'),
		'id'          => 'sld_lan_show_all',
		'type'        => 'text',
		'desc'        => __('Change the language for Show All'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Visit Page'),
		'id'          => 'sld_lan_visit_page',
		'type'        => 'text',
		'desc'        => __('Change the language for Visit Page'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Related Items'),
		'id'          => 'sld_lan_related_items',
		'type'        => 'text',
		'desc'        => __('Change the language for Related Items'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Already Have an Account?'),
		'id'          => 'sld_lan_already_account',
		'type'        => 'text',
		'desc'        => __('Change the language for Already Have an Account?'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Visit This Link'),
		'id'          => 'sld_lan_visit_link',
		'type'        => 'text',
		'desc'        => __('Change the language for Visit This Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Tags'),
		'id'          => 'sld_lan_tags',
		'type'        => 'text',
		'desc'        => __('Change the language for - Tags'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('All'),
		'id'          => 'sld_lan_all',
		'type'        => 'text',
		'desc'        => __('Change the language for - All'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('First Name'),
		'id'          => 'sld_lan_first_name',
		'type'        => 'text',
		'desc'        => __('Change the language for - First Name'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Last Name'),
		'id'          => 'sld_lan_last_name',
		'type'        => 'text',
		'desc'        => __('Change the language for - Last Name'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Username'),
		'id'          => 'sld_lan_username',
		'type'        => 'text',
		'desc'        => __('Change the language for - Username'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Password'),
		'id'          => 'sld_lan_password',
		'type'        => 'text',
		'desc'        => __('Change the language for - Password'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Email'),
		'id'          => 'sld_lan_email',
		'type'        => 'text',
		'desc'        => __('Change the language for - Email'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Create account'),
		'id'          => 'sld_lan_create_account',
		'type'        => 'text',
		'desc'        => __('Change the language for - Create account'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Register'),
		'id'          => 'sld_lan_register',
		'type'        => 'text',
		'desc'        => __('Change the language for - Register'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Login'),
		'id'          => 'sld_lan_login',
		'type'        => 'text',
		'desc'        => __('Change the language for - Login'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Forgot your password?'),
		'id'          => 'sld_lan_forgot_password',
		'type'        => 'text',
		'desc'        => __('Change the language for - Forgot your password?'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Reset password'),
		'id'          => 'sld_lan_reset_password',
		'type'        => 'text',
		'desc'        => __('Change the language for - Reset password'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Username (or E-mail)'),
		'id'          => 'sld_lan_username_or_email',
		'type'        => 'text',
		'desc'        => __('Change the language for - Username (or E-mail)'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Website'),
		'id'          => 'sld_lan_website',
		'type'        => 'text',
		'desc'        => __('Change the language for - Website'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Restore password'),
		'id'          => 'sld_lan_restore_password',
		'type'        => 'text',
		'desc'        => __('Change the language for - Restore password'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Your new password is'),
		'id'          => 'sld_lan_your_new_pass',
		'type'        => 'text',
		'desc'        => __('Change the language for - Your new password is'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('User already logged in'),
		'id'          => 'sld_lan_already_login',
		'type'        => 'text',
		'desc'        => __('Change the language for - User already logged in'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => esc_html__('You have to login to view this content. <a href="">Click Here</a> to log in.'),
		'id'          => 'login_text_to_view_content',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - You have to login to view this content. <a href="">Click Here</a> to log in.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => esc_html__('You are already logged in. <a href=""> Click Here </a> to enter your dashboard.'),
		'id'          => 'login_text_to_already_logged_in_lang',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - You are already logged in. <a href=""> Click Here </a> to enter your dashboard.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => esc_html__('You are now logged in. It makes no sense to restore your account'),
		'id'          => 'login_text_logged_in_lang',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - You are now logged in. It makes no sense to restore your account'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => esc_html__('Add Tags'),
		'id'          => 'sld_lan_add_tags',
		'type'        => 'text',
		'desc'        => esc_html__('Add Tags'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => esc_html__('Press (enter) to add a tag & (Backspace) to remove tag.'),
		'id'          => 'sld_lan_add_tags_subtitle',
		'type'        => 'text',
		'desc'        => esc_html__('Press (enter) to add a tag & (Backspace) to remove tag.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => esc_html__('Save Tags'),
		'id'          => 'sld_lan_save_tags',
		'type'        => 'text',
		'desc'        => esc_html__('Save Tags'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => esc_html__('You must click on the "Save Tags" button'),
		'id'          => 'sld_lan_add_tags_notice',
		'type'        => 'text',
		'desc'        => esc_html__('You must click on the "Save Tags" button'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => esc_html__('Offline Payment'),
		'id'          => 'sld_lan_for_offline_payment',
		'type'        => 'text',
		'desc'        => esc_html__('Offline Payment'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),

	array(
		'label'       => esc_html__('New'),
		'id'          => 'dashboard_lan_text_new',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - New'),
		'std'         => 'new',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
	),

	array(
		'label'       => esc_html__('by'),
		'id'          => 'sld_lan_text_by',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - by'),
		'std'         => 'by',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
	),
	array(
		'label'       => __('Dashboard Global Language Settings'),
		'id'          => 'sld_enable_dashboard_global_page_lan',
		'type'        => 'on-off',
		'desc'        => __('Show/Hide Dashboard Global Language Settings'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
	),
	array(
		'label'       => esc_html__('Hi'),
		'id'          => 'dashboard_lan_text_to_hi',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Hi'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Dashboard'),
		'id'          => 'sld_lan_frontend_tab_dashboard',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Add Link'),
		'id'          => 'sld_lan_frontend_tab_add_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Add Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Your Links'),
		'id'          => 'sld_lan_frontend_tab_your_links',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Your Links'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Package'),
		'id'          => 'sld_lan_frontend_tab_Package',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Package'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Logout'),
		'id'          => 'sld_lan_frontend_tab_logout',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Logout'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('User profile updated.'),
		'id'          => 'sld_lan_frontend_update_profile_text',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - User profile updated.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Something Went Wrong.'),
		'id'          => 'sld_lan_frontend_something_wrong',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Something Went Wrong.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Pending'),
		'id'          => 'sld_lan_frontend_pending',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Pending'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Approved'),
		'id'          => 'sld_lan_frontend_approved',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Approved'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Deny'),
		'id'          => 'sld_lan_frontend_deny',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Deny'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Edited'),
		'id'          => 'sld_lan_frontend_edited',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Edited'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Welcome to your Dashboard.'),
		'id'          => 'dashboard_lan_text_to_welcome',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Welcome to your Dashboard.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Total Link'),
		'id'          => 'dashboard_lan_text_total_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Total Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Submited Link'),
		'id'          => 'dashboard_lan_text_submited_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Submited Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Remaining Link'),
		'id'          => 'dashboard_lan_text_remaining_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Remaining Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Unlimited'),
		'id'          => 'dashboard_lan_text_unlimited',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Unlimited'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Free'),
		'id'          => 'sld_lan_free',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Free'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Available Packages'),
		'id'          => 'sld_lan_paid_pkg',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Available Packages'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link'),
		'id'          => 'dashboard_lan_text_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Links for'),
		'id'          => 'dashboard_lan_text_links_for',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Links for'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Month'),
		'id'          => 'dashboard_lan_text_package_duration',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Month'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Lifetime'),
		'id'          => 'text_package_duration_lifetime',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Lifetime'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('1 Year'),
		'id'          => 'text_package_duration_1year',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - 1 Year'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('2 Years'),
		'id'          => 'text_package_duration_2years',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - 2 Years'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('3 Years'),
		'id'          => 'text_package_duration_3years',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - 3 Years'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('4 Years'),
		'id'          => 'text_package_duration_4years',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - 4 Years'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('5 Years'),
		'id'          => 'text_package_duration_5years',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - 5 Years'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Paypal'),
		'id'          => 'sld_lan_paypal',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Paypal'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Stripe'),
		'id'          => 'sld_lan_stripe',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Stripe'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('2Checkout'),
		'id'          => 'sld_lan_2checkout',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - 2Checkout'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Pay with Card'),
		'id'          => 'sld_lan_pay_with_card',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Pay with Card'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('2Checkout Payment'),
		'id'          => 'sld_lan_2checkout_payment',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - 2Checkout Payment'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Update Profile Info'),
		'id'          => 'dashboard_lan_text_profile_info',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Update Profile Info'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Full Name'),
		'id'          => 'dashboard_lan_text_full_name',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Full Name'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('First'),
		'id'          => 'dashboard_lan_text_first_name',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - First'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Last'),
		'id'          => 'dashboard_lan_text_last_name',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Last'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Email'),
		'id'          => 'dashboard_lan_text_email',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Email'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Username'),
		'id'          => 'dashboard_lan_text_usename',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Username'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Submit'),
		'id'          => 'dashboard_lan_text_submit_btn',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Submit'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('You have reached your free link submission limit.'),
		'id'          => 'dashboard_lan_text_free_link_submission_limit',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - You have reached your free link submission limit.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' 	=> 'sld_enable_dashboard_global_page_lan:is(on)',
	),
	array(
		'label'       => __('Dashboard Add Your Link Page Language Settings'),
		'id'          => 'sld_enable_add_your_link_page_lan',
		'type'        => 'on-off',
		'desc'        => __('Show/Hide Dashboard Add Your Link Page Language Settings'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
	),
	array(
		'label'       => esc_html__('Add Your Link'),
		'id'          => 'sld_lan_add_your_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Add Your Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link Edit Form'),
		'id'          => 'sld_lan_link_edit_form',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link Edit Form'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Select Package'),
		'id'          => 'sld_lan_select_package',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Select Package'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Category'),
		'id'          => 'sld_lan_change_category',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Category'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('All Categories'),
		'id'          => 'sld_lan_change_all_category',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - All Categories'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Select List'),
		'id'          => 'sld_lan_change_select_list',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Select List'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link (Include http:// or https://)'),
		'id'          => 'sld_lan_change_link_http',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link (Include http:// or https://)'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Generate'),
		'id'          => 'sld_lan_change_generotor',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Generate'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),	            
	array(
		'label'       => esc_html__('Generator Image'),
		'id'          => 'sld_lan_change_generotor_image',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Generator Image'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Generator info from Link'),
		'id'          => 'sld_lan_change_link_generotor',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Generator info from Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link Title'),
		'id'          => 'sld_lan_change_link_title',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link Title'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link Subtitle'),
		'id'          => 'sld_lan_change_link_subtitle',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link Subtitle'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link Long Description'),
		'id'          => 'sld_lan_change_link_long_des',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link Long Description'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Tags'),
		'id'          => 'sld_lan_change_link_tags',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Tags'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Generator Image from Link'),
		'id'          => 'sld_lan_change_link_generotor_image',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Generator Image from Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link Image'),
		'id'          => 'sld_lan_change_link_image',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link Image'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('No Follow'),
		'id'          => 'sld_lan_change_link_no_follow',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - No Follow'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Submit'),
		'id'          => 'sld_lan_change_link_submit',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Submit'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('No Results Found for Your Search'),
		'id'          => 'sld_no_results_found',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - No Results Found for Your Search'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_add_your_link_page_lan:is(on)',
	),
	array(
		'label'       => __('Dashboard Link List Page Language Settings'),
		'id'          => 'sld_enable_link_list_page_lan',
		'type'        => 'on-off',
		'desc'        => __('Show/Hide Dashboard Link List Page Language Settings'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
	),
	array(
		'label'       => esc_html__('Link List Page'),
		'id'          => 'dashboard_lan_text_link_list_page',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link List Page'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Image'),
		'id'          => 'dashboard_lan_text_link_list_page_image',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Image'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link Title'),
		'id'          => 'dashboard_lan_text_link_list_page_link_title',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link Title'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link Subtitle'),
		'id'          => 'dashboard_lan_text_link_list_page_link_subtitle',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link Subtitle'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Category'),
		'id'          => 'dashboard_lan_text_link_list_page_category',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Category'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('List'),
		'id'          => 'dashboard_lan_text_link_list_page_list',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - List'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Package'),
		'id'          => 'dashboard_lan_text_link_list_page_package',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Package'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Status'),
		'id'          => 'dashboard_lan_text_link_list_page_status',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Status'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Action'),
		'id'          => 'dashboard_lan_text_link_list_page_action',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Action'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Edit'),
		'id'          => 'dashboard_lan_text_link_list_page_edit',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Edit'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Delete'),
		'id'          => 'dashboard_lan_text_link_list_page_delete',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Delete'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Your list link has been successfully published'),
		'id'          => 'dashboard_lan_text_success_msg',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Your list link has been successfully published'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Your link has been successfully submitted. We will review your item information before Publishing. Thank you for your patience.'),
		'id'          => 'dashboard_lan_text_renew_success_msg',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Your link has been successfully submitted. We will review your item information before Publishing. Thank you for your patience.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Sorry, You are not allowed to view the content of this page.'),
		'id'          => 'dashboard_lan_text_not_allowed_success_msg',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Sorry, You are not allowed to view the content of this page.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Your link has been updated sucessfully.'),
		'id'          => 'dashboard_lan_text_success_update_msg',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Your link has been updated sucessfully.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Your link has been updated! Waiting for approval.'),
		'id'          => 'dashboard_lan_text_success_wait_update_msg',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Your link has been updated! Waiting for approval.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_link_list_page_lan:is(on)',
	),
  array(
    'label'       => __('Dashboard Claim Listing Page Language Settings'),
    'id'          => 'sld_enable_claim_listing_page_lan',
    'type'        => 'on-off',
    'desc'        => __('Show/Hide Dashboard Claim Listing Page Language Settings'),
    'std'         => 'off',
    'rows'        => '',
    'post_type'   => '',
    'taxonomy'    => '',
    'class'       => '',
    'section'     => 'language',
  ),
	array(
		'label'       => esc_html__('Add Claim Listing'),
		'id'          => 'dashboard_lan_text_add_claim_listing',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Add Claim Listing'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Edit Claim Listing'),
		'id'          => 'dashboard_lan_text_edit_claim_listing',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Edit Claim Listing'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Select List Name'),
		'id'          => 'dashboard_lan_text_add_claim_list_name',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Select List Name'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Select Item Name'),
		'id'          => 'dashboard_lan_text_add_claim_list_item_name',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Select Item Name'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Submit'),
		'id'          => 'dashboard_lan_text_add_claim_list_submit',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Submit'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('List Name'),
		'id'          => 'dashboard_lan_text_add_claim_list_list_name',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - List Name'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Item Name'),
		'id'          => 'dashboard_lan_text_add_claim_list_item_name',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Item Name'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Payable Amount'),
		'id'          => 'dashboard_lan_text_add_claim_list_payable_amount',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Payable Amount'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Paid Amount'),
		'id'          => 'dashboard_lan_text_add_claim_list_paid_amount',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Paid Amount'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Status'),
		'id'          => 'dashboard_lan_text_add_claim_list_status',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Status'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Payment'),
		'id'          => 'dashboard_lan_text_add_claim_list_payment',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Payment'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Action'),
		'id'          => 'dashboard_lan_text_add_claim_list_action',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Action'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Approve'),
		'id'          => 'dashboard_lan_text_add_claim_list_approve',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Approve'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Edit Item'),
		'id'          => 'dashboard_lan_text_add_claim_list_edit_item',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Edit Item'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Delete'),
		'id'          => 'dashboard_lan_text_add_claim_list_delete',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Delete'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('No Claim Listing'),
		'id'          => 'dashboard_lan_text_no_claim_listing',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - No Claim Listing'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Are you sure to delete this Record?'),
		'id'          => 'dashboard_lan_text_claim_listing_del',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Are you sure to delete this Record?'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_claim_listing_page_lan:is(on)',
	),
  	array(
	    'label'       => __('Dashboard Package Page Language Settings'),
	    'id'          => 'sld_enable_package_page_lan',
	    'type'        => 'on-off',
	    'desc'        => __('Show/Hide Dashboard Package Page Language Settings'),
	    'std'         => 'off',
	    'rows'        => '',
	    'post_type'   => '',
	    'taxonomy'    => '',
	    'class'       => '',
	    'section'     => 'language',
  	),
	array(
		'label'       => esc_html__('Package Details'),
		'id'          => 'sld_lan_package_details',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Package Details'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Title'),
		'id'          => 'sld_lan_package_title',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Title'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Description'),
		'id'          => 'sld_lan_package_description',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Description'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Duration'),
		'id'          => 'sld_lan_package_duration',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Duration'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Link'),
		'id'          => 'sld_lan_package_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Price'),
		'id'          => 'sld_lan_package_price',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Price'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Currency'),
		'id'          => 'sld_lan_package_currency',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Currency'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Enable Recurring'),
		'id'          => 'sld_lan_package_enable_recurring',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Enable Recurring'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Package List'),
		'id'          => 'sld_lan_package_package_list',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Package List'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Package name'),
		'id'          => 'sld_lan_package_package_name',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Package name'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Purchase Date'),
		'id'          => 'sld_lan_package_package_purchase_date',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Purchase Date'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Expire Date'),
		'id'          => 'sld_lan_package_package_expire_date',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Expire Date'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Total Link'),
		'id'          => 'sld_lan_package_package_total_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Total Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Remaining Link'),
		'id'          => 'sld_lan_package_remaining_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Remaining Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Cost'),
		'id'          => 'sld_lan_package_package_cost',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Cost'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Status'),
		'id'          => 'sld_lan_package_status',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Status'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Renew'),
		'id'          => 'sld_lan_package_renew',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Renew'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Remain Link'),
		'id'          => 'sld_lan_package_package_remain_link',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Remain Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Active'),
		'id'          => 'sld_lan_package_package_active',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Active'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Cancel'),
		'id'          => 'sld_lan_package_package_cancel',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Cancel'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('Expired'),
		'id'          => 'sld_lan_package_package_expired',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - Expired'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),
	array(
		'label'       => esc_html__('You have no package purchased!'),
		'id'          => 'sld_lan_package_package_no_purchased',
		'type'        => 'text',
		'desc'        => esc_html__('Change the language for - You have no package purchased!'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language',
		'condition' => 'sld_enable_package_page_lan:is(on)',
	),

	array(
		'label'       => __('Hi,'),
		'id'          => 'sld_lan_email_hi',
		'type'        => 'text',
		'desc'        => __('Change the language for - Hi,'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Welcome to'),
		'id'          => 'sld_lan_email_welcome_to',
		'type'        => 'text',
		'desc'        => __('Change the language for - Welcome to'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Your registration has been approved successfully.'),
		'id'          => 'sld_lan_email_registration_subject',
		'type'        => 'text',
		'desc'        => __('Change the language for - Your registration has been approved successfully.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Click the link to login in to your'),
		'id'          => 'sld_lan_email_click_to_login_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Click the link to login in to your'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('dashboard'),
		'id'          => 'sld_lan_email_dashboard_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Registration Approved'),
		'id'          => 'sld_lan_email_regis_approved_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Registration Approved'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('New user registration on your blog'),
		'id'          => 'sld_lan_email_new_user_registra',
		'type'        => 'text',
		'desc'        => __('Change the language for - New user registration on your blog'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Username'),
		'id'          => 'sld_lan_email_username',
		'type'        => 'text',
		'desc'        => __('Change the language for - Username'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('E-mail'),
		'id'          => 'sld_lan_email_email_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - E-mail'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('New User Registration'),
		'id'          => 'sld_lan_email_new_msg_register_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - New User Registration'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Here\'s how to log in'),
		'id'          => 'sld_lan_email_how_login_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Here\'s how to log in'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Your username and password'),
		'id'          => 'sld_lan_email_u_p_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Your username and password'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('A item has been claimed to your list'),
		'id'          => 'sld_lan_email_claimed_list',
		'type'        => 'text',
		'desc'        => __('Change the language for - A item has been claimed to your list'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Please go to Simple Link Directory > Claimed Listing to view this claimed item.'),
		'id'          => 'sld_lan_email_claimed_list_msg',
		'type'        => 'text',
		'desc'        => __('Change the language for - Please go to Simple Link Directory > Claimed Listing to view this claimed item.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Item Claimed'),
		'id'          => 'sld_lan_email_claimed_item',
		'type'        => 'text',
		'desc'        => __('Change the language for - Item Claimed'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Item Claimed By'),
		'id'          => 'sld_lan_email_claimed_iem_by',
		'type'        => 'text',
		'desc'        => __('Change the language for - Item Claimed By'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Your claim listing item'),
		'id'          => 'sld_lan_email_your_list_item',
		'type'        => 'text',
		'desc'        => __('Change the language for - Your claim listing item'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('has been approved'),
		'id'          => 'sld_lan_email_has_been_approved',
		'type'        => 'text',
		'desc'        => __('Change the language for - has been approved'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('You can find the item in'),
		'id'          => 'sld_lan_email_find_in_item',
		'type'        => 'text',
		'desc'        => __('Change the language for - You can find the item in'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('dashboard > your links tab'),
		'id'          => 'sld_lan_email_dash_your_links',
		'type'        => 'text',
		'desc'        => __('Change the language for - dashboard > your links tab'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Your claim listing item has been approved'),
		'id'          => 'sld_lan_email_item_approved',
		'type'        => 'text',
		'desc'        => __('Change the language for - Your claim listing item has been approved'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('A New link has been submitted to your list'),
		'id'          => 'sld_lan_email_new_link_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - A New link has been submitted to your list'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Please go to Simple Link Directory > Manage User Items to view this link'),
		'id'          => 'sld_lan_email_new_link_item_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Please go to Simple Link Directory > Manage User Items to view this link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Item Name'),
		'id'          => 'sld_lan_email_item_name_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Item Name'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Item Submitted By'),
		'id'          => 'sld_lan_email_item_submitted_by_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Item Submitted By'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('A New offline payments link has been submitted to your list'),
		'id'          => 'sld_lan_email_new_offline_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - A New offline payments link has been submitted to your list'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Please go to Simple Link Directory > Manage User Links to view this link'),
		'id'          => 'sld_lan_email_new_offline_msg_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Please go to Simple Link Directory > Manage User Links to view this link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Please go to Link Exchange > Manage User Links to view this link'),
		'id'          => 'sld_lan_email_new_link_exchange_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Please go to Link Exchange > Manage User Links to view this link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('A link has been edited to your list'),
		'id'          => 'sld_lan_email_edit_link_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - A link has been edited to your list'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Please go to Simple Link Directory > Manage User Items to view this link'),
		'id'          => 'sld_lan_email_edit_msg_item_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Please go to Simple Link Directory > Manage User Items to view this link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Item Edited'),
		'id'          => 'sld_lan_email_item_edit_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Item Edited'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Item Edited By'),
		'id'          => 'sld_lan_email_item_edited_by_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Item Edited By'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('A offline payments link has been edited to your list'),
		'id'          => 'sld_lan_email_edit_offline_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - A offline payments link has been edited to your list'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('A item has been claimed from your list'),
		'id'          => 'sld_lan_email_claimed_lists_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - A item has been claimed from your list'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	array(
		'label'       => __('Please go to Simple Link Directory > Claimed Listing to view this claimed item.'),
		'id'          => 'sld_lan_email_claimed_lists_msg_text',
		'type'        => 'text',
		'desc'        => __('Change the language for - Please go to Simple Link Directory > Claimed Listing to view this claimed item.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'email_language'
	),
	
	array(
		'label'       => __('Enable SLD Multipage'),
		'id'          => 'sld_enable_multipage',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
		
	),
	array(
		'label'       => __('SLD Multipage'),
		'id'          => 'sld_text_block_multipage',
		'type'        => 'Textblock',
		'desc'        => __('<p>You must add the following shortcode on a new page first:</p>  <p><span class="qc-sld-code-box"><strong>[qcopd-directory-multipage]</strong></span></p>  . This page will be the base of your directory and show the list categories.<br><br><span style="color:red">For Multi Page Mode to Work You Must Create Categories and Assign Lists to Relevant Categories.</span><br>After adding this shortcode on a page you have to flush WordPress URL rewrite rules. Please go to <b>Settings > Permalinks</b> then click the <b>Save Changes</b> button Or you can click the button below to flush rewrite rules quickly.<br>For multi page directory we suggest uploading custom images. Recommended size 300px by 300px.<div id="sld_flash_msg"></div><br><button id="sld_flash_button" class="option-tree-ui-button button button-primary">Flush Rewrite Rules</button> '),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage',
		'condition' => 'sld_enable_multipage:is(on)',
	),
	
	array(
		'id'          => 'sld_multipage_template',
		'label'       => __( 'Select Style for Multipage', 'qc-opd' ),
		'desc'        => __( '', 'qc-opd' ),
		'type'        => 'select',
		'section'     => 'multipage',
		'choices'     => array(
			array(
				'value'       => 'style-15-multipage',
				'label'       => __( 'Multipage Style 2', 'qc-opd' ),
			),
			array(
				'value'       => 'style-multipage',
				'label'       => __( 'Multipage Style 1', 'qc-opd' ),
			),
			array(
				'value'       => 'style-10-multipage',
				'label'       => __( 'Multipage Style 3', 'qc-opd' ),
			),
			
			

		),
		'default'	=> 'yes'

	),
	
	array(
		'label'       => __('Shortcode for Multipage Category'),
		'id'          => 'sld_multi_category',
		'type'        => 'Textblock',
		'desc'        => __('[sld-multipage-category] <br><br> Once you add the main multi page shortcode on a page of its own you can also add the following shortcode on home page or any other page to display multipage categories: [sld-multipage-category]. <br> When a category is clicked, it will redirect to the main directory page where you added the main shortcode and show the Lists under a category. <br><br> [sld-multipage-category exclude="131,132,135"] <br> You can use comma separated category IDs to exclude from multi page listing. '),
		
		'section'     => 'multipage'
	),
	
	array(
		'label'       => __('Open All Link Details Pages in the Same Window'),
		'id'          => 'sld_multi_same_window',
		'type'        => 'on-off',
		'desc'        => __('Turn on to link open in same window Or it will take the settings from individual list item.'),
		'std'         => 'on',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
	),
	array(
		'label'       => __('Widget Items Link to Listing Details in Multi-Page Mode'),
		'id'          => 'sld_widget_link_multipage',
		'type'        => 'on-off',
		'desc'        => __('widget items link to listing details in multi-page mode.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
	),
	array(
		'label'       => __('Separate Image on Multipage'),
		'id'          => 'sld_display_separate_multipage_img',
		'type'        => 'on-off',
		'desc'        => __('Display Separate Image on Multipage Items'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
	),
	array(
		'label'       => __('Enable Tag Filter'),
		'id'          => 'sld_multi_tag',
		'type'        => 'on-off',
		'desc'        => __('Turn on to show tags in multipage mode.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
	),
	
	array(
		'label'       => __('Show Alexa Ranking'),
		'id'          => 'sld_show_alexa_rank',
		'type'        => 'on-off',
		'desc'        => __('Show alexa rank in item landing page'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
	),
	

    )
            )
          )
        )
      )
    );

  }

}

?>